from view import *
from entity import EntitySystem
from gui import GUISystem
from geom import *
from level import *

def main():

	esys = EntitySystem()
	
	cur_level = Level(esys, 0)
	gui = GUISystem(esys)

	def update(dt):
		cur_level.update(dt)

	display = Display(Screen.Width, Screen.Height, "Behavior")
	display.add_listener(gui)
	display.set_system(esys)
	display.set_interval(update, 1/120.0)

	display.start()


