from entity import Component

# view components
class Renderable(Component):
	def __init__(self, depth=0):
		self.depth = 0

class Color(Component):
	def __init__(self, r, g, b, a=255):
		self.red = r
		self.green = g
		self.blue = b
		self.alpha = a

	def __repr__(self):
		return 'rgba({0},{1},{2},{3})'.format(*self.to_tuple())
	
	def to_tuple(self):
		return (self.red, self.green, self.blue, self.alpha)

class FillColor(Color): pass
class FontColor(Color): pass

class LineStyle(Component): 
	def __init__(self, color, width=1):
		self.color = color
		self.width = width

# requires Position, Size, and Color to render
class DisplayQuad(Component):
	def __repr__(self): return 'DisplayQuad'
class DisplayBorder(Component): 
	def __repr__(self): return 'DisplayBorder'

# requires LineColor
class DisplayConnection(Component):
	def __init__(self, entity_from, entity_to):
		self.e_from = entity_from
		self.e_to   = entity_to
		
